<?php
/**
 * Clase Base Bean para BasePlaEmpresaBN
 *
 * @package    Sedapal
 * @subpackage BasePlaEmpresaBN
 * @author     Willy
 * @version    SVN:: BasePlaEmpresaBN.class.php,v 1.1 2022-07-25 11:36:52 william.taype Exp $
 */
abstract class BasePlaEmpresaBN
{
  protected $IdEmpresa;
  protected $Descripcion;
  protected $RUC;
  protected $RutaLogo;
  protected $Estado;
  protected $FechaCreacion;
  protected $UsuarioCreacion;
  protected $FechaModificacion;
  protected $UsuarioModificacion;
  protected $Eliminado;
  protected $UsuarioEliminado;
  protected $FechaEliminado;
  protected $Mensaje;
  protected $Error;

  public function getIdEmpresa(){
    return $this->IdEmpresa;
  }
  public function setIdEmpresa($v1){
    $this->IdEmpresa = $v1; 
  }

  public function getDescripcion(){
    return $this->Descripcion;
  }
  public function setDescripcion($v1){
    $this->Descripcion = $v1; 
  }

  public function getRUC(){
    return $this->RUC;
  }
  public function setRUC($v1){
    $this->RUC = $v1; 
  }

  public function getRutaLogo(){
    return $this->RutaLogo;
  }
  public function setRutaLogo($v1){
    $this->RutaLogo = $v1; 
  }

  public function getEstado(){
    return $this->Estado;
  }
  public function setEstado($v1){
    $this->Estado = $v1; 
  }

  public function getFechaCreacion(){
    return $this->FechaCreacion;
  }
  public function setFechaCreacion($v1){
    $this->FechaCreacion = $v1; 
  }

  public function getUsuarioCreacion(){
    return $this->UsuarioCreacion;
  }
  public function setUsuarioCreacion($v1){
    $this->UsuarioCreacion = $v1; 
  }

  public function getFechaModificacion(){
    return $this->FechaModificacion;
  }
  public function setFechaModificacion($v1){
    $this->FechaModificacion = $v1; 
  }

  public function getUsuarioModificacion(){
    return $this->UsuarioModificacion;
  }
  public function setUsuarioModificacion($v1){
    $this->UsuarioModificacion = $v1; 
  }

  public function getEliminado(){
    return $this->Eliminado;
  }
  public function setEliminado($v1){
    $this->Eliminado = $v1; 
  }

  public function getUsuarioEliminado(){
    return $this->UsuarioEliminado;
  }
  public function setUsuarioEliminado($v1){
    $this->UsuarioEliminado = $v1; 
  }

  public function getFechaEliminado(){
    return $this->FechaEliminado;
  }
  public function setFechaEliminado($v1){
    $this->FechaEliminado = $v1; 
  }

  public function getMensaje(){
    return $this->Mensaje;
  }
  public function setMensaje($vl){
    $this->Mensaje = $vl;
  }

  public function getError(){
    return $this->Error;
  }
  public function setError($vl){
    $this->Error = $vl;
  }

  /* Recupera un objeto Pla_empresaBN desde un RecordSet */
  public static function retrieveByRs( $o_Pla_empresaRs )
  {
    $o_PlaEmpresaBN = new PlaEmpresaBN();
    $o_PlaEmpresaBN->setIdEmpresa( $o_Pla_empresaRs['IdEmpresa'] );
    $o_PlaEmpresaBN->setDescripcion( $o_Pla_empresaRs['Descripcion'] );
    $o_PlaEmpresaBN->setRUC( $o_Pla_empresaRs['RUC'] );
    $o_PlaEmpresaBN->setRutaLogo( $o_Pla_empresaRs['RutaLogo'] );
    $o_PlaEmpresaBN->setEstado( $o_Pla_empresaRs['Estado'] );
    $o_PlaEmpresaBN->setFechaCreacion( $o_Pla_empresaRs['FechaCreacion'] );
    $o_PlaEmpresaBN->setUsuarioCreacion( $o_Pla_empresaRs['UsuarioCreacion'] );
    $o_PlaEmpresaBN->setFechaModificacion( $o_Pla_empresaRs['FechaModificacion'] );
    $o_PlaEmpresaBN->setUsuarioModificacion( $o_Pla_empresaRs['UsuarioModificacion'] );
    $o_PlaEmpresaBN->setEliminado( $o_Pla_empresaRs['Eliminado'] );
    $o_PlaEmpresaBN->setUsuarioEliminado( $o_Pla_empresaRs['UsuarioEliminado'] );
    $o_PlaEmpresaBN->setFechaEliminado( $o_Pla_empresaRs['FechaEliminado'] );
    return $o_PlaEmpresaBN;
  }
}